Package commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.jumbofurnace.jumbo_furnace.JumboFurnaceBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.block.EntityBlock`, `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

public class JumboFurnaceBlock extends net.minecraft.world.level.block.Block implements net.minecraft.world.level.block.EntityBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.level.block.state.properties.BooleanProperty`
`LIT`
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`X`
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`Y`
`static final net.minecraft.world.level.block.state.properties.IntegerProperty`
`Z`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`animateTick(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)`
`static int`
`calcRedstoneFromItemHandler(net.minecraftforge.items.IItemHandler handler)`
`protected void`
`createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)`
`void`
`destroyNextBlockPos(net.minecraft.world.level.Level level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)`
`int`
`getAnalogOutputSignal(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos)`
Deprecated.
`static net.minecraft.core.BlockPos`
`getCorePos(net.minecraft.world.level.block.state.BlockState exteriorState, net.minecraft.core.BlockPos exteriorPos)`
Returns the assumed core position of a furnace cluster given one of its component blockstates.
`net.minecraft.core.Direction`
`getSmelterHoleDirection(net.minecraft.world.level.block.state.BlockState state)`
Returns null if this isn't one of the blocks with the smelter holes
`List<com.mojang.datafixers.util.Pair<net.minecraft.core.BlockPos,net.minecraft.world.level.block.state.BlockState>>`
`getStatesForFurnace(net.minecraft.core.BlockPos corePos)`
`<T extends net.minecraft.world.level.block.entity.BlockEntity>
net.minecraft.world.level.block.entity.BlockEntityTicker<T>`
`getTicker(net.minecraft.world.level.Level level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.entity.BlockEntityType<T> type)`
`boolean`
`hasAnalogOutputSignal(net.minecraft.world.level.block.state.BlockState state)`
Deprecated.
`boolean`
`isCore(net.minecraft.world.level.block.state.BlockState state)`
`net.minecraft.world.level.block.state.BlockState`
`mirror(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Mirror mirror)`
Deprecated.
`net.minecraft.world.level.block.entity.BlockEntity`
`newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`onRemove(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)`
Deprecated.
`net.minecraft.world.level.block.state.BlockState`
`rotate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Rotation rot)`
Deprecated.
`net.minecraft.world.InteractionResult`
`use(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand handIn, net.minecraft.world.phys.BlockHitResult hit)`
Deprecated.

### Methods inherited from class net.minecraft.world.level.block.Block

`appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, getStateForPlacement, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, setPlacedBy, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getShape, getSignal, getVisualShape, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, isSignalSource, neighborChanged, onPlace, onProjectileHit, randomTick, requiredFeatures, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, updateShape, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.block.EntityBlock

`getListener`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canConnectRedstone, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onNeighborChange, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### X

public static final net.minecraft.world.level.block.state.properties.IntegerProperty X

### Y

public static final net.minecraft.world.level.block.state.properties.IntegerProperty Y

### Z

public static final net.minecraft.world.level.block.state.properties.IntegerProperty Z

### LIT

public static final net.minecraft.world.level.block.state.properties.BooleanProperty LIT

## Constructor Details

### JumboFurnaceBlock

public JumboFurnaceBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### createBlockStateDefinition

protected void createBlockStateDefinition(net.minecraft.world.level.block.state.StateDefinition.Builder<net.minecraft.world.level.block.Block,net.minecraft.world.level.block.state.BlockState> builder)

Overrides:
  `createBlockStateDefinition` in class `net.minecraft.world.level.block.Block`

### newBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Specified by:
  `newBlockEntity` in interface `net.minecraft.world.level.block.EntityBlock`

### use

@Deprecated public net.minecraft.world.InteractionResult use(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand handIn, net.minecraft.world.phys.BlockHitResult hit)
Deprecated.

Overrides:
  `use` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### onRemove

@Deprecated public void onRemove(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)
Deprecated.

Overrides:
  `onRemove` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### destroyNextBlockPos

public void destroyNextBlockPos(net.minecraft.world.level.Level level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)

### getCorePos

public static net.minecraft.core.BlockPos getCorePos(net.minecraft.world.level.block.state.BlockState exteriorState, net.minecraft.core.BlockPos exteriorPos)
Returns the assumed core position of a furnace cluster given one of its component blockstates. Not guaranteed to return a useful position if an invalid blockstate is used.

Parameters:
  `exteriorState` -
  `exteriorPos` -
Returns:

### isCore

public boolean isCore(net.minecraft.world.level.block.state.BlockState state)

### getStatesForFurnace

public List<com.mojang.datafixers.util.Pair<net.minecraft.core.BlockPos,net.minecraft.world.level.block.state.BlockState>> getStatesForFurnace(net.minecraft.core.BlockPos corePos)

### animateTick

public void animateTick(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)

Overrides:
  `animateTick` in class `net.minecraft.world.level.block.Block`

### getSmelterHoleDirection

@Nullable public net.minecraft.core.Direction getSmelterHoleDirection(net.minecraft.world.level.block.state.BlockState state)
Returns null if this isn't one of the blocks with the smelter holes

### hasAnalogOutputSignal

@Deprecated public boolean hasAnalogOutputSignal(net.minecraft.world.level.block.state.BlockState state)
Deprecated.

Overrides:
  `hasAnalogOutputSignal` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### getAnalogOutputSignal

@Deprecated public int getAnalogOutputSignal(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos)
Deprecated.

Overrides:
  `getAnalogOutputSignal` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### calcRedstoneFromItemHandler

public static int calcRedstoneFromItemHandler(@Nonnull net.minecraftforge.items.IItemHandler handler)

### rotate

@Deprecated public net.minecraft.world.level.block.state.BlockState rotate(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Rotation rot)
Deprecated.
Returns the blockstate with the given rotation from the passed blockstate. If inapplicable, returns the passed blockstate.

Overrides:
  `rotate` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### mirror

@Deprecated public net.minecraft.world.level.block.state.BlockState mirror(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.Mirror mirror)
Deprecated.
Returns the blockstate with the given mirror of the passed blockstate. If inapplicable, returns the passed blockstate.

Overrides:
  `mirror` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### getTicker

public <T extends net.minecraft.world.level.block.entity.BlockEntity> net.minecraft.world.level.block.entity.BlockEntityTicker<T> getTicker(net.minecraft.world.level.Level level, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.block.entity.BlockEntityType<T> type)

Specified by:
  `getTicker` in interface `net.minecraft.world.level.block.EntityBlock`